:root {
    --main-color: #B08D57;
    --secondary-color: #2B2B2B;
    --text-color: #F0E5E5;
    --background-color: #1F1F1F;
    --gradient-color: linear-gradient(180deg,rgba(0, 0, 0, 0.705) 0%, rgba(31, 31, 31, 0.521) 50%, rgba(31, 31, 31, 1) 100%);
    --font-family: "Montserrat", sans-serif;
}

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: var(--font-family);
    scroll-behavior: smooth;
    transition: .3s all ease-in-out;
}

a{
    text-decoration: none;
    color: var(--text-color);
}

body{
    background-color: var(--background-color);
    color: var(--text-color);
}

.colored{
    font-weight: 600;
    color: var(--main-color);
}

.h1{
    font-size: 40px;
    line-height: 45px;
    text-transform: uppercase;
    font-weight: 500;
}

.h2{
    font-size: 24px;
    line-height: 35px;
    text-transform: uppercase;
    font-weight: 500;
}

.container{
    width: 80%;
    margin: 0 auto;
    max-width: 1280px;
}

.page{
    display: flex;
    flex-direction: column;
    gap: 150px;
    position: relative;
    padding-bottom: 100px;
    overflow: hidden;
}

.dark-gradient{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--gradient-color);
    z-index: 1;
}

.hero{
    position: relative;
    min-height: 860px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-image: url(../images/freepik__enhance__18506_11zon.webp);
    background-position: center;
    background-size: cover;
}
.hero>*{
    z-index: 2;
}

.header>.container{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 40px 0;
}

.header__logo>a{
    display: flex;
    align-items: center;
    gap: 20px;
    text-decoration: none;
    color: var(--main-color);
    text-transform: uppercase;
    font-size: 36px;
    line-height: 45px;
    font-weight: 600;
}

.header__logo>a>img{
    width: 75px;
}

.btn{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 15px 30px;
    border-radius: 40px;
    cursor: pointer;
    font-size: 20px;
    font-weight: 600;
    width: fit-content;
}

.outlined-btn{
    border: 1px solid var(--text-color);
}

.hero__content{
    position: relative;
}

.hero__content>.container{
    display: flex;
    flex-direction: column;
    gap: 32px;
    padding-bottom: 50px;
    border-bottom: 3px solid var(--main-color);
}

.hero__content-bottom{
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    gap: 32px;
}

.w-small{
    width: 40%;
}

.w-wide{
    width: 60%;
    display: flex;
    flex-direction: column;
    gap: 20px;
    justify-content: space-between;
}
.hero__title{
    width: 60%;
}

.main{
    padding-bottom: 5%;
}

.hero__arrow{
    position: absolute;
    left: 50%;
    bottom: -15%;
}

.sub__container{
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.about__content{
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    gap: 32px;
}

.about__content-item{
    display: flex;
    flex-direction: column;
    gap: 32px;
    width: 100%;
    height: auto;
}

.about__img{
    width: 100%;
    height: 580px;
    border-radius: 40px;
    background-color: var(--main-color);
}

.text-container{
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    gap: 32px;
}

.paragraph{
    font-size: 20px;
    line-height: 35px;
    color: var(--text-color);
}

.about__text{
    padding: 40px 30px;
    background: var(--secondary-color);
    border-radius: 40px;
    width: 100%;
    height: 100%;
}

.example{
  height: auto;
}

.about__house{
    background: var(--main-color);
}

.p__black{
    color: var(--background-color);
    font-weight: 600;
}

.offer__container{
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.offer__container-item{
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    gap: 32px;
    width: 100%;
}

.offer__container-item>*{
    width: 100%;
}

.offer__item-text{
    display: flex;
    flex-direction: column;
    gap: 32px;
}

.offer__item-img{
    background: #000;
    border-radius: 40px;
    background-size: cover;
    background-position: center;
}

.swiper {
    width: 100%;
    height: 100%;
    overflow: visible !important;
  }

  .result__item{
    display: flex;
    flex-direction: column;
    gap: 32px;
    width: 100%;
  }

  .result__item-img{
    background: #000;
    background-size: cover;
    background-position: center;
    border-radius: 40px;
    width: 100%;
    height: 500px;
  }

  .how__container{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 32px;
  }

  .swiper-wrapper{
    align-items: stretch;
  }

  .swiper-slide{
    height: auto !important;
  }

  .how__container-item{
    padding: 80px 30px;
    border-radius: 40px;
    background: var(--secondary-color);
    height: 100%;
    position: relative;
  }

  .how__container-item>img{
    position: absolute;
    bottom: 40px;
    right: 40px;
    opacity: 50%;
  }

  .how__container-img{
    background: #000;
    background-size: cover;
    background-position: center;
    border-radius: 40px;
    width: 100%;
  }

  .why-us__item{
    display: flex;
    flex-direction: column;
    gap: 10px;
    height: 100%;
  }
  .why-us__item>h2{
    padding-left: 20px;
  }

  .steps__container{
    display: flex;
    flex-direction: column;
    gap: 40px;
  }

  .step{
    border-bottom: 1px solid var(--main-color);
    padding-bottom: 40px;
    display: flex;
    justify-content: space-between;
  }

  .step__left, .step__right{
    display: flex;
    justify-content: space-between;
  }

  .step__left{
    width: 30%;
  }
  .step__right{
    width: 60%;
  } 

  .wide{
    width: 50%;
  }

  .small{
    width: 30%;
  }

  .footer__container{
    display: flex;
    flex-direction: column;
    gap: 100px;
  }

  .h-line{
    display: flex;
    align-items: end;
    justify-content: space-between;
    gap: 32px;
  }

  .footer__center{
    align-self: end;
    width: 70%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 32px;
  }

  .primary-btn{
    background: var(--main-color);
  }

  .footer__bottom{
    display: flex;
    justify-content: space-between;
    gap: 32px;
  }

  ul{
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 10px;
  }

  .footer__socials>li>a{
    display: flex;
    align-items: center;
    justify-content: end;
    gap: 20px;
  }

  .footer__socials>li>a>img{
    height: 22px;
  }
  
  .hero__bottom-image{
    width: 100%;
    height: 100%;
    display: block;
    background-image: url(../images/4535.webp);
    background-size: cover;
    background-position: center;
  }

  .img-house{
    background-size: 200%;
    background-image: url(../images/freepik__enhance__18504_11zon.webp);
    background-position: center;
  }

  .offer__img-1{
    background-image: url(../images/freepik__adjust__99234_11zon.webp);
  }

  .offer__img-2{
    background-image: url(../images/freepik__enhance__99237_11zon.webp);
  }

  .how__img-1{
    background-image: url(../images/freepik__adjust__99232_11zon.webp);
  }

  .how__img-2{
    background-image: url(../images/freepik__enhance__18508_11zon.webp);
  }
  .how__img-3{
    background-image: url(../images/freepik__enhance__18509_11zon.webp);
  }

  .how__img-4{
    background-image: url(../images/freepik__enhance__18510_11zon.webp);
  }

  .footer{
    background-size: cover;
    background-position: center;
    background-image: url(../images/freepik__enhance__18507_11zon.webp);
    position: relative;
  }

  .dark-grad{
    z-index: 1;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: linear-gradient(180deg, #1F1F1F 0%, rgba(31, 31, 31, 0.589) 50%, rgba(31, 31, 31, 0.397) 70%, rgba(31, 31, 31, 0.534) 80%, rgb(31, 31, 31) 100%);
  }
  .footer>.container>.footer__container>*{
    z-index: 2;
  }

  .img-aprtmnt{
    background-image: url(../images/freepik__enhance__99230_11zon.webp);
    background-size: cover;
    background-position: center;
  }

  .desc{
    display: none;
  }

  .desc-sm {
    display: none;
  }

  .res__item{
    display: flex;
    flex-direction: column;
    gap: 50px;
  }

  .res__grid{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
  }

  .res__grid-item{
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 20px;
  }

  .res__grid-item .paragraph{
    padding: 0 20px;
  }

  .item__divider{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
  }

  .item__divider-line{
    width: 100%;
    height: 1px;
    background: var(--main-color);
  }

  .item__divider-square{
    height: 20px;
    width: 20px;
    background: var(--main-color);
    margin-top: -10px;
    transform: rotateZ(45deg);
  }

  .grid-5{
    display: grid;
    grid-template-columns: repeat(5, 1fr);
  }

  .footer__btns{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 32px;
  }

  @media (max-width: 1140px){
    .desc{
      display: block;
    }
    .mob{
      display: none;
    }
    .about__content{
      flex-direction: column;
    }
    .how__container{
      width: 100%;
      grid-template-columns: repeat(2, 50%);
      gap: 10px;
    }
    .how__container-img{
      height: 200px;
    }
    .how__container-item, .how__container-img{
      width: 100%;
    }
    .how__container-item{
      padding: 40px 20px;
    }
  }

  @media (max-width: 770px) {
    .footer__btns{
      flex-direction: column;
      gap: 20px;
    }
    .btn{
      width: 100%;
    }
    .res__grid, .grid-5{
      grid-template-columns: repeat(2, 1fr);
      row-gap: 30px;
    }
    .grid-5 .res__grid-item:last-of-type{
      width: 200%;
    }
    .page{
      padding-bottom: 40px;
      gap: 60px;
    }
    .sub__container{
      gap: 30px;
    }
    .footer__bottom{
      flex-direction: column-reverse;
      gap: 30px;
      align-items: left;
    }
    .step{
      flex-direction: column;
      gap: 10px;
    }
    .step__left>.h2:nth-of-type(2){
      display: none;
    }
    .step__right{
      width: 100%;
    }
    .container{
      width: 100%;
      padding: 0 20px;
      margin: 0 auto;
    }
    .how__container{
      width: 100%;
      grid-template-columns: 1fr;
      gap: 20px;
    }
    .offer__container{
      gap: 20px;
    }
    .offer__item-img{
      height: 200px;
    }
    .offer__container-item{
      flex-direction: column;
      gap: 20px;
    }
    .hero__content-bottom{
      flex-direction: column-reverse;
      gap: 20px;
    }
    .w-small{
      width: 100%;
      height: 130px;
    }
    .w-wide, .hero__title{
      width: 100%;
    }
    .hero{
      min-height: 560px;
    }
    .h1{
      font-size: 24px;
      line-height: 30px;
    }
    .h2{
      font-size: 20px;
      line-height: 28px;
    }
    .hero__content>.container{
      gap: 20px;
    }
    .header__logo>a{
      font-size: 20px;
      line-height: 25px;
      gap: 10px;
    }
    .header__logo>a>img{
      width: 40px;
    }
    .btn{
      padding: 10px 20px;
      font-size: 14px;
    }
    .paragraph{
      font-size: 16px;
      line-height: 32px;
    }    
    .desc-sm {
      display: flex;
    }
    .mob-sm {
      display: none;
    }
    .hero__arrow{
      height: 70px;
    }
    .hero__content>.container{
      border-bottom: 2px solid var(--main-color);
    }
    .header>.container{
      padding: 40px 20px !important;
    }
    .offer__item-text{
      gap: 20px;
    }
  }

  @media (max-width: 430px){
    .h-line{
      flex-direction: column;
      gap: 10px;
    }
    .about__content-item{
      gap: 20px;
    }
    .about__img{
      height: 400px;
    }
    .hero__arrow{
      left: 47%;
    }
  }

  .outlined-btn:hover{
    background: var(--text-color);
    color: var(--background-color);
  }

  .primary-btn:hover{
    background: var(--background-color);
  }

  .primary-btn:hover>.p__black{
    color: var(--main-color);
    font-weight: 500;
  }

  .hero__arrow{
    animation-duration: 1s;
    animation-name: arrow;
    animation-iteration-count: infinite;
    animation-direction: alternate;
  }

  @keyframes arrow {
    from {
      transform: scale(0.9);
    }
  
    to {
      transform: scale(1);
    }
  }

  .modal-wrap{
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;  
    height: 100%;
    background: #00000093;
    z-index: 777;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 100%;
  }

  .modal{
    background: var(--background-color);
    padding: 60px;
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 30px;
    border-radius: 40px;
  }

  .modal .h2{
    text-align: center;
  }

  .form{
    display: flex;
    flex-direction: column;
    gap: 20px;
  }

  .input-wrapper{
    display: flex;
    flex-direction: column;
    gap: 5px;
  }

  input{
    padding: 10px 20px;
    outline: none;
    font-size: 18px;
    border: 2px solid var(--secondary-color);
    border-radius: 20px;
    background: transparent;
    color: var(--text-color);
  }
  input:focus{
    border: 2px solid var(--main-color);
  }
  label{
    font-size: 14px;
  }

  .radio{
    display: flex;
    align-items: center;
    gap: 30px;
  }

  .radio-wrapper{
    display: flex;
    align-items: center;
    gap: 10px;
  }

  button{
    outline: none;
    border: none;
  }
  .btns{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 32px;
  }

  .close-btn{
    background: var(--secondary-color);
    color: var(--text-color);
    border: 1px solid transparent;
  }

  .close-btn:hover{
    background: transparent;
    border: 1px solid var(--secondary-color);
  }

  .send-btn{
    background: var(--main-color);
    color: var(--background-color);
  }

  .send-btn:hover{
    background: var(--secondary-color);
    color: var(--main-color);
  }

  .hidden{
    opacity: 0%;
    display: none;
  }

  @media (max-width: 770px){
    .modal{
      background: var(--background-color);
      padding: 50px 30px;
      width: 90%;
      display: flex;
      flex-direction: column;
      gap: 20px;
      border-radius: 40px;
    }
    input{
      font-size: 16px;
    }
    .btns{
      gap: 20px;
    }
    .btns>*{
      width: 100%;
    }
  }